import { autocompletion, completeFromList, type Completion, type CompletionContext, type CompletionResult } from '@codemirror/autocomplete';
import { type Diagnostic, linter, setDiagnostics } from '@codemirror/lint';
import type { Extension } from '@codemirror/state';
import { EditorState } from '@codemirror/state';
import { hoverTooltip, type Tooltip, type ViewUpdate } from '@codemirror/view';
import { EditorView } from 'codemirror';
import { CodeLanguage } from '@itgenio/edik-core';
export { EditorView, ViewUpdate, autocompletion, completeFromList, Diagnostic, linter, setDiagnostics, hoverTooltip, Tooltip, Completion, CompletionContext, CompletionResult, Extension, };
export declare function createState({ text, lang, readonly, onChange, extensions, }?: {
    text?: string;
    lang?: CodeLanguage;
    readonly?: boolean;
    onChange?: (text: string) => void;
    extensions?: Extension[];
}): EditorState;
